- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Estimation::Discrete::ProbabilityRules::ObsComboRule Class Reference

`#include <ObsComboRule.h>`

Inheritance diagram for Mers::Estimation::Discrete::ProbabilityRules::ObsComboRule:

[legend]
Collaboration diagram for Mers::Estimation::Discrete::ProbabilityRules::ObsComboRule:

[legend]
List of all members.

## Public Member Functions
| ObsComboRule (const Mers::Models::Base::BaseModelAssignmentArray *myAssigmentArray, unsigned int initNumConsistentObs, unsigned short db=0)
virtual | ~ObsComboRule ()
bool | decrementBy (unsigned int num)
unsigned int | getNumConsistentObsCombos (void)
## Friends
std::ostream & | operator<< (std::ostream &, ObsComboRule const &)

## Detailed Description

This class inherits from the rule class. In addition to having an array of base model assignments, the observation combination rule stores the number of consistent combinations of observations for the specified componenet mode assignments.

Definition at line 49 of file ObsComboRule.h.

## Constructor & Destructor Documentation

ObsComboRule::ObsComboRule | ( | const Mers::Models::Base::BaseModelAssignmentArray * | myAssigmentArray,
|  | unsigned int | initNumConsistentObs,
|  | unsigned short | db = `0` |
| ) |  |  |

Creates new Observation Combination Rule

Parameters:

  | myAssigmentArray | is the set of rule assignments.
  | initNumConsistentObs | is the initial number of consistent observation assignments for the specified mode assignments (myAssigmentArray)
  | db | the initial debug value (0 if unassigned)

Definition at line 27 of file ObsComboRule.cpp.

ObsComboRule::~ObsComboRule | ( |  | ) | `[virtual]`

Destroys all the observation combination rule.

Definition at line 36 of file ObsComboRule.cpp.

## Member Function Documentation

bool ObsComboRule::decrementBy | ( | unsigned int | num | ) |

Decrements the number of consistent observation combinations by the number provided

Parameters:

  | num | the number to decrement by

Returns:
  false if the number of consistent observations becomes less than zero (leaves the number at its original value), true otherwise.

Definition at line 47 of file ObsComboRule.cpp.

unsigned int ObsComboRule::getNumConsistentObsCombos | ( | void |  | ) |

Returns the number of consistent observation combinations for this set of mode assignments.

Returns:
  numConsistenObsCombos

Definition at line 62 of file ObsComboRule.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ProbabilityRules/ObsComboRule.h
- /Users/fpy/titan-1-5-MBARI/Mers/Estimation/Discrete/ProbabilityRules/ObsComboRule.cpp